Jump to content

Unable to update Pineapple Mark IV.


Go to solution Solved by airman_dopey,

Recommended Posts

I am unable to update my Pineapple Mark IV from firmware version 2.4.1 to the current latest, 2.8.1. I have done much research into the issue and am out of ideas.

To begin with, when I attempt to update via the Update section of the Pineapple web interface, I receive the famous "Error, MD5Sum does not match!" message, despite the fact that I have manually ran md5sum from the command line and confirmed the hashes do match. I then scpd "upgrade-2.8.1.bin" to the device. As I only have 672.0K free (of 896K total) on rootfs on the device, I have followed Darren's tutorial and added a swap partition / mass storage via an 8 GB USB stick (I have 2 GB added for swap and 6 GB for storage). The upgrade-2.8.1.bin file is 720K, larger than my default available space on the device, so I scp it to the /usb directory, which, per /etc/opkg.conf, has my 6 GB USB storage partition mapped to it. I then attempt to sysupgrade -n /usb/upgrade-2.8.1.bin, but upon doing so, it appears that part of the firmware upgrade process involves umounting my additional storage partition mapped to /usb, so when it gets to the "switching to randisk, performing system upgrade" section, I receive a "can't open /usb/upgrade-2.8.1.bin: no such file or directory" message, and the device simply reboots.

The only additional package I ever added to my Pineapple was the sitesurvey module from the Pineapple Bar, which I have clicked "remove" on, yet still appears in the web interface. If anyone has any ideas how I can upgrade my device under these conditions, I would truly appreciate it.

Edited by bobbysin
Link to post
Share on other sites

Why are you updating manually? Plug the pineapple directly into your router and update it over the web interface... or did 2.4.1 not have that option?

Link to post
Share on other sites

Why are you updating manually? Plug the pineapple directly into your router and update it over the web interface... or did 2.4.1 not have that option?

Older versions had an md5 checksum error. You have to update manually

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...